{*******************************************************************************
* Unit      : frmAbout - defines the "About" window                            *
********************************************************************************
* Purpose   : Shows the information about the registration status, plus        *
*             links to the TSM site.                                           *
********************************************************************************
* Copyright : This software  is copyright TSM Inc. 1998-1999                   *
*             This source code may not be distributed to third parties in      *
*             or in part without the written permission of TSM Inc.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 14.08.98  - 1.00  Original Version                               *
********************************************************************************
* Switches  : None                                                             *
*******************************************************************************}
unit frmAbout;

interface

uses
  Windows, Messages, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, SLock;

type
  TfrmAboutSLockServerTest = class(TForm)
    lblRegNameDisp: TLabel;
    lblSerialNoDisp: TLabel;
    lblCertExpireDisp: TLabel;
    lblRegName: TLabel;
    lblSerialNo: TLabel;
    lblCertExpire: TLabel;
    bvlRegInfo: TBevel;
    pnlButtons: TPanel;
    btnTSMWeb: TButton;
    btnClose: TButton;
    lblLicenseTypeDisp: TLabel;
    lblLicenseType: TLabel;
    pnlSLockPKAd: TPanel;
    imgSLockPK: TImage;
    lblSLockPKAd: TLabel;
    btnSlockPK: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnTSMWebClick(Sender: TObject);
    procedure btnSlockPKClick(Sender: TObject);
  end;

var
  frmAboutSLockServerTest: TfrmAboutSLockServerTest;

implementation

uses frmMain, ShellApi, SysUtils;

{$R *.DFM}

{*******************************************************************************
* Procedure : TfrmAboutSLockServerTest.FormCreate                              *
********************************************************************************
* Purpose   : Decodes the Status property of SLockPK into words and displays   *
*             the information in the "About" group.                            *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmAboutSLockServerTest.FormCreate(Sender: TObject);
begin
     // decode the status property into words
     case frmMainForm.SLock1.Status of
     stExpired:
          begin
               lblLicenseType.Caption := 'Expired';
          end;
     stNotExpired:
          begin
               lblLicenseType.Caption := 'Trial';
          end;
     stRegistered:
          begin
               lblLicenseType.Caption := 'Registered';
          end;
     end;

     // display the other information
     lblRegName.Caption    := frmMainForm.SLock1.RegName;
     lblSerialNo.Caption   := frmMainForm.SLock1.SerialNumber;
     lblCertExpire.Caption := FormatDateTime('dd-mm-yyyy', frmMainForm.SLock1.CertExpire);
end; {TfrmAboutSLockServerTest.FormCreate}

{*******************************************************************************
* Procedure : TfrmAboutSLockServerTest.btnCloseClick                           *
********************************************************************************
* Purpose   : Closes the window                                                *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmAboutSLockServerTest.btnCloseClick(Sender: TObject);
begin
     Close;
end; {TfrmAboutSLockServerTest.btnCloseClick}

{*******************************************************************************
* Procedure : TfrmAboutSLockServerTest.btnTSMWebClick                          *
********************************************************************************
* Purpose   : Opens the http link to the TSM site in the default browser       *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmAboutSLockServerTest.btnTSMWebClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil,
                  PChar('http://www.crypto-central.com/software/index.html'),
                  nil, nil, SW_SHOWNORMAL);
end; {TfrmAboutSLockServerTest.btnTSMWebClick}

{*******************************************************************************
* Procedure : TfrmAboutSLockServerTest.btnSlockPKClick                         *
********************************************************************************
* Purpose   : Opens the http link to the Slock site in the default browser     *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmAboutSLockServerTest.btnSlockPKClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil,
                  PChar('http://www.crypto-central.com/slock/index.html'),
                  nil, nil, SW_SHOWNORMAL);
end; {TfrmAboutSLockServerTest.btnSlockPKClick}

end.
