{*******************************************************************************
* Unit      : frmUpd - defines the "Update" window/messagebox                  *
********************************************************************************
* Purpose   : Tells the user that a new version of the software is available,  *
*             and offers them the option to not show the message again.        *
********************************************************************************
* Copyright : This software  is copyright TSM Inc. 1998-1999                   *
*             This source code may not be distributed to third parties in      *
*             or in part without the written permission of TSM Inc.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 14.08.98  - 1.00  Original Version                               *
********************************************************************************
* Switches  : None                                                             *
*******************************************************************************}
unit frmUpd;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmUpdate = class(TForm)
    lblUpdateText: TLabel;
    chkDontBugMe: TCheckBox;
    btnGetUpdate: TButton;
    btnClose: TButton;
    procedure chkDontBugMeClick(Sender: TObject);
    procedure btnGetUpdateClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  end;

var
  frmUpdate: TfrmUpdate;

implementation

{$R *.DFM}

uses
     IniFiles, frmMain, ShellApi;

{*******************************************************************************
* Procedure : TfrmUpdate.chkDontBugMeClick                                     *
********************************************************************************
* Purpose   : Writes the flag to the ini file that this message box should not *
*             be shown any more.                                               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmUpdate.chkDontBugMeClick(Sender: TObject);
var
     IniFile: TIniFile;
begin
     // read the options out of the ini file
     IniFile := TIniFile.Create('DataMail.ini');

     IniFile.WriteBool('Settings', 'InformUpdates', not (chkDontBugMe.Checked));

     IniFile.Free;
end; {TfrmUpdate.chkDontBugMeClick}

{*******************************************************************************
* Procedure : TfrmUpdate.btnGetUpdateClick                                     *
********************************************************************************
* Purpose   : Launches the browser to download the file specified by the       *
*             "UpdateURL" property of the SLockPK component.                   *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmUpdate.btnGetUpdateClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil,
             PChar(frmMainForm.Slock1.NewVersionURL),
             nil, nil, SW_SHOWNORMAL);
end; {TfrmUpdate.btnGetUpdateClick}

{*******************************************************************************
* Procedure : TfrmUpdate.btnCloseClick                                         *
********************************************************************************
* Purpose   : Closes the window                                                *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmUpdate.btnCloseClick(Sender: TObject);
begin
     Close;
end; {TfrmUpdate.btnCloseClick}

end.
